#
# Salt's MPD configuration
# gitlab.com/rehashedsalt/home
#

# DIRECTORIES
#music_directory			"~/Music"
playlist_directory			"~/Music/Playlists"
db_file					"~/.local/share/mpd/database"
log_file				"~/.local/share/mpd/log"
# Disabled by default
pid_file				"~/.local/share/mpd/pid"
state_file				"~/.local/share/mpd/state"
sticker_file				"~/.local/share/mpd/sticker.sql"

# INPUT CONFIG
# Why the hell are these even still here?
input {
	plugin				"tidal"
	enabled				"no"
}
input {
	plugin				"qobuz"
	enabled				"no"
}

# DECODER CONFIG
decoder {
	plugin				"opus"
	enabled				"yes"
}

# OUTPUT CONFIG
audio_output {
	type				"pulse"
	name				"Local Pulse"
##	server				"remote_server"		# optional
##	sink				"remote_server_sink"	# optional
##	media_role			"media_role"		#optional
}

# GENERAL CONFIG
log_level				"default"
restore_paused				"yes"
save_absolute_paths_in_playlists	"yes"

# DATABASE CONFIG
auto_update				"yes"
#auto_update_depth			"3"
# If this setting is set to "yes", MPD will discover audio files by following 
# symbolic links outside of the configured music_directory.
#follow_outside_symlinks			"yes"
# If this setting is set to "yes", MPD will discover audio files by following
# symbolic links inside of the configured music_directory.
#follow_inside_symlinks			"yes"
